.site-header {
    background: var(--bg);
    border-bottom: 1px solid #710707;
    position: sticky;
    top: 0;
    z-index: 999;
}

.container-header {
    max-width: 1200px;
    margin: auto;
    padding: 4px 16px;
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.logo img {
    max-width: 60px;
}

.logo-text {
    font-size: 22px;
    font-weight: bold;
    color: var(--red);
}

.main-nav {
    display: flex;
    gap: 24px;
}

.main-nav a {
    text-decoration: none;
    color: var(--text);
    font-weight: 500;
}

.main-nav a:hover {
    color: var(--red);
}

.header-actions {
    display: flex;
    align-items: center;
    gap: 16px;
}

.icon-btn {
    position: relative;
    color: var(--text);
    font-size: 18px;
}

.cart-count {
    position: absolute;
    top: -6px;
    right: -4px;
    background: var(--red);
    color: #fff;
    font-size: 11px;
    padding: 2px 6px;
    border-radius: 50%;
}

.menu-toggle {
    display: none;
    background: none;
    border: none;
    font-size: 20px;
}


/* ===================
   Responsive
=================== */

@media (max-width: 1020px) {
    .main-nav {
        position: absolute;
        top: 100%;
        right: 0;
        background: var(--bg);
        flex-direction: column;
        padding: 16px;
        display: none;
        gap: 10px;
    }
    .main-nav a {
        padding: 10px;
        background: var(--red);
        color: white;
        font-weight: bold;
    }

    .main-nav.active {
        display: flex;
        width: 100%;
        max-width: 190px;
    }

    .menu-toggle {
        display: block;
    }
}


/* footer css */
.site-footer {
    background: var(--bg);
    border-top: 1px solid #eee;
    margin-top: 60px;
}

.container-footer {
    max-width: 1200px;
    margin: auto;
    padding: 40px 16px;
}

.footer-grid {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    gap: 32px;
}

.footer-logo {
    color: var(--red);
    font-size: 22px;
    margin-bottom: 10px;
}

.footer-text {
    color: var(--muted);
    line-height: 1.6;
}

.footer-col h4 {
    margin-bottom: 12px;
    color: var(--text);
}

.footer-col ul {
    list-style: none;
    padding: 0;
}

.footer-col ul li {
    margin-bottom: 8px;
}

.footer-col ul a {
    color: var(--muted);
    text-decoration: none;
}

.footer-col ul a:hover {
    color: var(--red);
}

.footer-col p {
    color: var(--muted);
    margin-bottom: 8px;
}

.footer-col i {
    color: var(--red);
    margin-right: 8px;
}

.social-links {
    display: flex;
    gap: 12px;
}

.social-links a {
    width: 36px;
    height: 36px;
    border-radius: 50%;
    background: var(--red);
    color: #fff;
    display: flex;
    align-items: center;
    justify-content: center;
    text-decoration: none;
}

.footer-bottom {
    text-align: center;
    padding: 12px;
    font-size: 14px;
    color: var(--muted);
    border-top: 1px solid #eee;
}

/* ===================
   Responsive
=================== */
@media (max-width: 900px) {
    .footer-grid {
        grid-template-columns: repeat(2, 1fr);
    }
}

@media (max-width: 500px) {
    .footer-grid {
        grid-template-columns: 1fr;
    }
}

.fa-times{
    color: white;
    background: brown;
    padding: 5px;
    border-radius: 4px;
}